package com.muyu.task.server.controller;

import com.muyu.common.core.domain.Result;
import com.muyu.common.domian.NodeRule;
import com.muyu.task.server.service.NodeRuleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("nodeRule")
public class NodeRuleController {

    @Autowired
    private NodeRuleService nodeRuleService;


    @PostMapping("addNodeRule")
    public Result addNodeRule(@RequestBody NodeRule nodeRule) {
        boolean save = nodeRuleService.save(nodeRule);
        return Result.success(save);
    }


}
